<template>
  <div class="mt-6 max-w-5xl mx-auto px-4 sm:px-6 lg:px-8">
    <dl class="grid grid-cols-1 gap-x-4 gap-y-8 sm:grid-cols-2">
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
          Email
        </dt>
        <dd class="mt-1 text-sm text-gray-900">
          {{user.email}}
        </dd>
      </div>
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
          Role
        </dt>
        <dd class="mt-1 text-sm text-gray-900">
          {{getRoleString(user.roles)}}
        </dd>
      </div>
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
          Pseudo
        </dt>
        <dd class="mt-1 text-sm text-gray-900">
          {{user.name}}
        </dd>
      </div>
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
          Member since
        </dt>
        <dd class="mt-1 text-sm text-gray-900">
          {{user.createdAt.substring(0,10)}}
        </dd>
      </div>
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
          Status
        </dt>
        <dd class="mt-1 text-sm text-gray-900">
          {{getStatusString(user.status)}}
        </dd>
      </div>
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
          First name
        </dt>
        <dd class="mt-1 text-sm text-gray-900 capitalize">
          {{user.firstname}}
        </dd>
      </div>
      <div class="sm:col-span-1">
        <dt class="text-sm font-medium text-gray-500">
        Last name
        </dt>
        <dd class="mt-1 text-sm text-gray-900 capitalize">
        {{user.lastname}}
        </dd>
      </div>
    </dl>
    <!-- Project list -->
    <h2 class="text-sm font-medium text-gray-500">Company</h2>
    <div class="mt-1 grid grid-cols-1 gap-4 sm:grid-cols-2">
      <div v-for="(company, index) in user.company" :key="index" class="relative rounded-lg border border-gray-300 bg-white px-6 py-5 shadow-sm flex items-center space-x-3 hover:border-gray-400 focus-within:ring-2 focus-within:ring-offset-2 focus-within:ring-pink-500">
        <div class="flex-shrink-0">
          <img class="h-10 w-10 rounded-full" :src="`https://eu.ui-avatars.com/api/?name=${company.name}&background=random&rounded=true`" alt="">
        </div>
        <div class="flex-1 min-w-0">
          <a href="#" class="focus:outline-none">
            <span class="absolute inset-0" aria-hidden="true"></span>
            <p class="text-sm font-medium text-gray-900">
              {{company.name}}
            </p>
            <p class="text-sm text-gray-500 truncate">
              Founder
            </p>
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Description',
  props: ['user'],
  methods: {
    getRoleString (roles) {
      if (roles.includes('ROLE_ADMIN')) {
        return 'Administrator'
      } else if (roles.includes('ROLE_USER')) {
        return 'User'
      }
    },
    getStatusString (status) {
      if (status <= 2) {
        return 'Waiting validation'
      } else {
        return 'Activate'
      }
    }
  }
}
</script>
